[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bindings/python/python-efl] master 01/01: Python-EFL: fix the cython version check



davemds pushed a commit to branch master.

commit 50a70d29334cf0e4395d0dc8a80380a1bde4403f
Author: davemds <dave@gurumeditation.it>
Date:   Sun Sep 15 12:59:39 2013 +0200

    Python-EFL: fix the cython version check
    
    If the cython import fail than min_ver is never defined and the except will fail badly
---
 setup.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/setup.py b/setup.py
index 733a2ba..11eb871 100755
--- a/setup.py
+++ b/setup.py
@@ -9,11 +9,12 @@ from distutils.version import StrictVersion
 
 # Cython
 try:
+    min_ver = "0.17.0"
     from Cython.Distutils import build_ext
     from Cython.Build import cythonize
     import Cython.Compiler.Options
 
-    min_ver, cur_ver = "0.17.0", Cython.__version__
+    cur_ver = Cython.__version__
     assert StrictVersion(cur_ver) >= StrictVersion(min_ver)
     print("Found Cython: %s" % cur_ver)
 

--